package org.nakedobjects.nof.boot.system;

import java.io.InputStream;

import org.nakedobjects.noa.NakedObjectRuntimeException;


public class FrameworkPropertiesLoader {

    public static InputStream getFrameworkPropertiesStream(final InstallerLookup installerLookup, final String componentFile) {
        final InputStream in = installerLookup.getClass().getResourceAsStream("/" + componentFile);
        if (in == null) {
            throw new NakedObjectRuntimeException("No resource found: " + componentFile);
        }
        return in;
    }
}
