package org.nakedobjects.nof.boot.system.console;

import java.io.Serializable;
import java.util.Enumeration;

import org.nakedobjects.noa.adapter.NakedCollection;
import org.nakedobjects.noa.adapter.NakedObject;


public class CollectionResponse implements Serializable {
    private static final long serialVersionUID = 1L;
    Object oid;
    Object elements[];

    public CollectionResponse(NakedCollection collection) {
        oid = collection.getOid();
        Enumeration e = collection.elements();
        int count = 0;
        while (e.hasMoreElements()) {
            NakedObject obj = (NakedObject) e.nextElement();
            elements[count] = obj.getOid();
            count++;
        }
    }

    public java.lang.Object[] getElements() {
        return elements;
    }

    public java.lang.Object getOid() {
        return oid;
    }
}

// Copyright (c) Naked Objects Group Ltd.
